7

I can't install linux with kernel over than 4.x on my computer. (MSI GP72-6QE-087XFR Leopard Pro)

Tried : Ubuntu 15.10, debian 8 and linux mint 17.3.

This is saying: "ACPI : EC: Fail in evaluating the _REG object of EC device. Broken bios is suspected."

Looks like a bios problem for me, and i did buy my computer without OS so i only have linux choice. I can install Ubuntu 14.10 but the wifi is not supported (iwlwifi 3165). As soon as i update the kernel or the operating system (to ubuntu 15.04 for example), the computer is unusable (it only shows the error message and won't boot).

What can i do?

6
  • The Embedded Controller driver evaluates the _REG ACPI object to determine the operation region of the Embedded Controller. For some reason, this failed (perhaps the EC _REG object was not defined in your firmware). As it stands, the kernel driver ignores this issue, flags it up as a problem with the firmware and then continues to initialise the Embedded Controller anyway. I suspect there may be other issues which are the root cause of your issues and I don't think this is the root issue to your problem. Commented Dec 15, 2015 at 22:57
  • It could prove more useful if you can show the entire kernel log rather than this one line. Commented Dec 15, 2015 at 23:05
  • I will reinstall linux (14.10) which boot dump you the log. <del>is /var/log/syslog is ok?</del> edit: will dump the /var/log/kern.log instead :) Commented Dec 16, 2015 at 11:30
  • yes, hopefully we can deduce what's going on from that Commented Dec 16, 2015 at 15:46
  • Hope it will help : paste.ubuntu.com/14091707 Commented Dec 18, 2015 at 22:55

1 Answer 1

4

Just starting the PC with the boot parameters

nomodeset idle=nomwait

For ASUS Rog 6th generation intel just

idle=nomwait

is enough.

Thanks myself.

0

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .